com.mapinfo.midev.index.rtree

## Class RTreeEnvelopeSearch

- java.lang.Object
- - com.mapinfo.midev.index.rtree.RTreeEnvelopeSearch

All Implemented Interfaces:
  IRTreeEnvelopeSearch

    public final class RTreeEnvelopeSearch
    extends Object
    implements IRTreeEnvelopeSearch

An implementation of interface `IEnvelopeSearch` to help searching r-tree by given a single envelope object. The search criteria is Intersects.

### Constructor Summary

Constructors
Constructor and Description
`RTreeEnvelopeSearch(Envelope env)` Constructor with a specified envelope.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `testEnvelope(Envelope env, boolean isLeaf)` Test if the given envelope(a envelope of a node or data item) overlaps with the envelope specified in this object.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTreeEnvelopeSearch

    public RTreeEnvelopeSearch(Envelope env)

Constructor with a specified envelope.

Parameters:
  `env` - an <Envelope> object.

### Method Detail

#### testEnvelope

    public boolean testEnvelope(Envelope env,
                                boolean isLeaf)

Test if the given envelope(a envelope of a node or data item) overlaps with the envelope specified in this object.

Specified by:
  `testEnvelope` in interface `IRTreeEnvelopeSearch`
Parameters:
  `env` - an envelope from a r-tree node for a object in the leaf node.
  `isLeaf` - ignored.
Returns:
  true if the given envelope satisfies the user-defined search criteria.